Subject: Re: undefined symbol 'PS3_PS3AV'

From: Paul Mundt <[email-masked]>
Date: Wed, 14 Feb 2007 19:17:19 +0900

On Wed, Feb 14, 2007 at 11:02:06AM +0100, Geert Uytterhoeven wrote:
> On Wed, 14 Feb 2007, Paul Mundt wrote:
> > This would seem like a reasonable candidate for a 'depends on' instead of
> > a select..
> 
> That's what we originally had. But for the user it's simler if he can just
> enable ps3fb and/or ps3snd (sound driver not yet finished), which both select
> PS3_PS3AV.

Why not just have PS3_PS3AV def_bool y if ps3fb || ps3snd? Or if that
doesn't work, just place the PS3FB option in arch/powerpc/platforms/ps3/Kconfig.

Of course if select obeyed the depends on, this wouldn't be a problem
either..